Set invited user password
curl --request POST \
--url https://api.creditor.younegotiate.com/auth/new-user-register \
--header 'Content-Type: application/json' \
--data '
{
"email": "invited.user@example.com",
"password": "Password123!",
"password_confirmation": "Password123!",
"recaptcha": "recaptcha-token"
}
'import requests
url = "https://api.creditor.younegotiate.com/auth/new-user-register"
payload = {
"email": "invited.user@example.com",
"password": "Password123!",
"password_confirmation": "Password123!",
"recaptcha": "recaptcha-token"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
email: 'invited.user@example.com',
password: 'Password123!',
password_confirmation: 'Password123!',
recaptcha: 'recaptcha-token'
})
};
fetch('https://api.creditor.younegotiate.com/auth/new-user-register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Set invited user password
Set the password for an invited creditor user using the signed invitation URL.
POST
/
auth
/
new-user-register
Set invited user password
Query Parameters
Invited creditor user email from the signed invitation URL.
Signed URL expiration timestamp.
Laravel signed URL signature.
Body
application/json
Response
Password saved.
Last modified on July 20, 2026
Was this page helpful?
⌘I

